/* ==========================================================================
Generellt
========================================================================== */

/* Layout
========================================================================== */
.EcommercePage>.section-wrapper>.section-block {
    padding: 0;
}

.EcommercePage>.section-wrapper>.section-block>.section-block-wrapper {
    max-width: none;
}

/* Header / Navigering
========================================================================== */
/* Varukorgsknapp i nav */
header .header-cta-wrapper .cart-btn {
    padding: 1rem;
    font-weight: 400;
    border-radius: 5px;
    color: rgb(var(--white-color));
    white-space: nowrap;
    background: rgb(var(--primary-color));
}

header .header-cta-wrapper .cart-btn i {
    margin-right: 3px;
}

/* Knappar och speciella lankar
========================================================================== */
.EcommercePage .btn-gray-filled:hover {
    color: rgb(var(--black-color));
}

/* ==========================================================================
Undersida: Kategori / Kategorilista
========================================================================== */

/* Produkter
========================================================================== */
.products-wrapper.cards-wrapper {
    margin: -1rem;
    width: 100%;
}

.products-wrapper .card-item {
    display: flex;
    flex-direction: column;
    width: calc(100% / 3 - 2rem);
    margin: 1rem;
}

.products-wrapper .image-wrapper {
    height: 30rem;
}

.products-wrapper .image-wrapper img {
    object-position: 0% 50%;
}

.products-wrapper .card-body {
    flex-grow: 1;
    padding: 2rem 1rem;
}

.products-wrapper .card-body p {
    color: rgb(var(--gray-dark-color));
}

.products-wrapper .card-body p:not(.product-name) {
    font-size: 1.5rem;
}

.products-wrapper .card-footer {
    padding: 0 1rem;
}

.products-wrapper .card-footer .btn {
    margin: 0;
}

.products-wrapper .card-footer .btn:hover {
    color: rgb(var(--black-color));
}

/* Media querys
========================================================================== */
@media only screen and (max-width: 1300px) {

    /* Produkter */
    .products-wrapper .card-item {
        width: calc(100% / 2 - 2rem);
        margin: 1rem;
    }
}

@media only screen and (max-width: 980px) {
    /* Produkter */
    .products-wrapper .card-item {
        width: calc(100% / 2 - 2rem);
        margin: 1rem;
    }
}

@media only screen and (max-width: 650px) {

    /* Produkter */
    .products-wrapper.cards-wrapper {
        margin: 0;
    }

    .products-wrapper .card-item {
        width: 100%;
        margin: 1rem 0;
    }
}

/* ==========================================================================
Undersida: Produkt / Presentkort
========================================================================== */

/* Layout
========================================================================== */
.section-cart-product {
    background-image: linear-gradient(to right, rgb(var(--white-color)) 50%, rgb(var(--gray-light-color)) 50%);
}

.product-wrapper {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
}

.section-cart-product .column-1 {
    position: sticky;
    top: var(--menu-height);
    width: 50%;
    padding: 5rem;
}

.section-cart-product .column-2 {
    width: 50%;
    padding: 5rem;
}

/* Galleri (kolumn 1)
========================================================================== */
/* Stor bild */
.product-gallery .slick-list {
    width: calc(100% - 8rem);
}

.product-gallery .slick-track {
    display: flex;
    align-items: center;
}

.product-gallery .image-wrapper {
    margin: 0 4rem;
}

.product-gallery .image-wrapper img {
    max-height: calc(50vh);
    margin: 0 auto;
    object-fit: contain;
}

/* Thumbnails */
.product-gallery .image-thumbnails {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin-top: 2rem;
}

.product-gallery .image-thumbnails .image-wrapper {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 6rem;
    height: 6rem;
    margin: 0 1rem 1rem 0;
    overflow: hidden;
    cursor: pointer;
}

/* Arrows */
.product-gallery .slick-arrow {
    width: 4rem;
    height: 4rem;
    border-radius: 5px;
    background-color: rgb(var(--gray-light-color));
}

.product-gallery .slick-arrow::after {
    font-weight: 400;
    color: rgb(var(--black-color));
}

/* Produktinfo (kolumn 2)
========================================================================== */
.product-info {
    max-width: 70rem;
}

/* Rubrik */
.product-info .section-title {
    color: rgb(var(--black-color));
}

/* Pris */
.price {
    padding: 0;
    margin-bottom: 1.5rem;
    font-size: 2.3rem;
    font-weight: 700;
    color: rgb(var(--gray-dark-color));
}

.discount-price {
    margin-left: .3rem;
    color: rgb(189, 17, 32);
}

.text-wrapper .original-price {
    position: relative;
    margin-left: 1rem;
    font-size: 2rem;
    font-weight: 400;
    font-style: italic;
}

.text-wrapper .original-price::after {
    content: '';
    position: absolute;
    top: 50%;
    left: -5px;
    right: -5px;
    height: 1px;
    background-color: rgb(var(--gray-dark-color));
    transform: translateY(-50%);
}

/* Info */
.article-label,
.stock-label,
.price-vat-included {
    padding-bottom: 0;
    font-size: 1.4rem;
    color: rgb(var(--gray-dark-color));
}

/* Produktbeskrivning */
.product-description {
    margin: 2rem 0;
}

.product-description h2,
.product-description h3,
.product-description h4,
.product-description h5,
.product-description h6,
.product-description .small-title {
    padding-top: 1rem;
    font-size: 2rem;
    font-weight: 600;
    color: rgb(var(--gray-dark-color));
}

.product-description p,
.product-description li,
.product-description a {
    color: rgb(var(--gray-dark-color));
}

.product-description .read-more {
    font-size: 1.3rem;
    font-weight: 700;
    color: rgb(var(--primary-color));
}

/* Brand */
.product-brand {
    margin: 3rem 0;
}

.product-brand a {
    max-width: 20rem;
    height: 4rem;
}

.product-brand img {
    object-fit: contain;
}

/* Formular-delar (anvands aven i checkout)
========================================================================== */
.form-parts-wrapper {
    margin: 2rem 0;
}

/* Rad */
.form-row,
.form-row-select .variant-attribute {
    position: relative;
    padding: 11px 1rem 9px;
    margin-bottom: 2px;
    border-radius: 5px;
    background-color: rgb(var(--white-color));
}

/* Heading */
.form-heading {
    padding: 1rem 0 1rem 1.1rem;
    margin: 1rem 0 3px;
    font-size: 1.6rem;
    font-weight: 600;
    border-radius: 5px;
    color: rgb(var(--white-color));
    background-color: rgb(var(--gray-dark-color));
}

/* Label */
.form-row .form-label,
.form-row-select label,
.form-row>.form-group>label {
    display: block;
    padding: 0 0 0 .2rem;
    font-size: 1.3rem;
    font-weight: 600;
    color: rgb(var(--black-color));
}

/* Asterisk */
.form-row .asterisk:after {
    content: "*";
    font-size: 1.6rem;
    font-weight: 400;
    margin-left: 6px;
    color: rgb(189, 17, 32);
}

/* Value */
.form-row .form-value {
    display: block;
    padding: 0 0 0 .2rem;
    font-size: 1.5rem;
    color: rgb(var(--black-color));
}

.form-row .form-value .original-price {
    position: relative;
    margin-left: 1rem;
}

/* Inputs */
.amount-input-wrapper {
    display: flex;
    align-items: flex-end;
}

.form-row input[type="text"],
.form-row input[type="number"],
.form-row input[type="email"],
.form-row input[type="tel"],
.form-row textarea {
    width: 100%;
    height: 3rem;
    padding: 0 0 0 .2rem;
    font-size: 1.5rem;
    color: rgb(var(--black-color));
    border: none;
    border-bottom: 1px dotted rgb(var(--gray-dark-color));
    background-color: rgb(var(--white-color));
}

.form-row textarea {
    height: 10rem;
    color: rgb(var(--black-color));
    font-family: inherit;
}

.amount-input-wrapper .currency-suffix {
    flex-shrink: 0;
    margin-left: 1rem;
    font-size: 1.5rem;
    color: rgb(var(--black-color));
}

/* Select */
.form-row .form-select,
.form-row-select select {
    width: 100%;
    height: 3rem;
    padding-left: 0rem;
    font-size: 1.5rem;
    border: none;
    color: rgb(var(--black-color));
    background-color: rgb(var(--white-color));
}

/* Radio / Checkbox */
.form-row .radio-group {
    padding: 1rem 0 .5rem .2rem;
    font-size: 1.5rem;
    color: rgb(var(--black-color));
}

/* Radio / Checkbox */
.form-row .checkbox-group {
    padding: .2rem 0 .5rem .2rem;
    font-size: 1.5rem;
    color: rgb(var(--black-color));
}

/* Help */
.form-row .help-text {
    padding: 0 0 0 .2rem;
    font-size: 1.3rem;
    font-style: italic;
    color: rgb(var(--gray-dark-color));
}

.form-row .custom-amount-help {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

/* Error */
.form-row .error-message {
    color: rgb(189, 17, 32);
}

/* Knapp */
.product-info .btn {
    cursor: pointer;
}

.product-info button[disabled],
.product-info .btn.disabled {
    cursor: not-allowed;
}

.product-info .btn.disabled {
    color: rgb(var(--white-color));
    border: 1px solid rgb(var(--gray-dark-color));
    background-color: rgb(var(--gray-dark-color));
}

/* Produkt finns inte */
.product-disabled-message p {
    font-style: italic;
    color: rgb(var(--gray-dark-color));
}

/* Specifikationer
========================================================================== */
.tabs-wrapper {
    padding: 5rem;
    background-color: rgb(var(--gray-light-color));
}

.filter-tabs-wrapper {
    max-width: 120rem;
    margin: 0 auto;
}

/* Taggar */
.filter-tabs-wrapper .tags-heading {
    display: none;
}

.filter-tabs-wrapper .tags-wrapper {
    margin-bottom: -1px;
}

.filter-tabs-wrapper .tag {
    display: inline-block;
    padding: 0.7rem 1.5rem;
    margin: 0 5px 0 0;
    color: rgb(var(--black-color));
    font-weight: 600;
    border-radius: 5px 5px 0 0;
    border: 1px solid rgb(var(--gray-color));
    border-bottom: none;
    background: rgb(var(--gray-color));
    cursor: pointer;
    transition: .5s ease;
}

.filter-tabs-wrapper .tag.tag-picked {
    color: rgb(var(--black-color));
    background: rgb(var(--white-color));
}

/* Content */
.specifications-wrapper {
    padding: 3rem;
    border-radius: 0 5px 5px 5px;
    border: 1px solid rgb(var(--gray-color));
    background-color: rgb(var(--white-color));
}

.specifications-wrapper ul {
    padding: 0;
    margin: 0;
    list-style: none;
}

.specifications-wrapper ul.specifications li,
.specifications-wrapper ul.files a {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    width: 100%;
    padding: .7rem .5rem;
    border-bottom: 1px solid rgb(var(--gray-color));
}

.specifications-wrapper ul.specifications li:last-of-type,
.specifications-wrapper ul.files li:last-of-type a {
    border-bottom: none;
}

.specifications-wrapper p {
    padding: 0;
    font-size: 1.5rem;
    color: rgb(var(--gray-dark-color));
}

.specifications-wrapper a {
    text-decoration: none;
    color: rgb(var(--gray-dark-color));
}

.specifications-wrapper a:hover p,
.specifications-wrapper a:hover i {
    transition: .3s ease;
}

.specifications-wrapper a:hover p,
.specifications-wrapper a:hover i {
    color: rgb(var(--primary-color));
}

.specifications-wrapper i {
    font-size: 1.8rem;
}

/* Media querys
========================================================================== */
@media only screen and (max-width: 1100px) {

    /* Layout */
    .section-cart-product {
        background-image: none;
    }

    .product-wrapper {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
    }

    .section-cart-product .column-1 {
        position: static;
        width: 100%;
        background-color: rgb(var(--white-color));
    }

    .section-cart-product .column-2 {
        width: 100%;
        background-color: rgb(var(--gray-light-color));
    }

    /* Galleri */
    .product-gallery .image-wrapper img {
        max-height: 30vh
    }

    /* Produktinfo  */
    .product-info {
        max-width: none;
    }

    .product-info .product-description {
        max-width: 70rem;
    }
}

@media only screen and (max-width: 680px) {

    /* Layout */
    .section-cart-product .column-1 {
        padding: 3rem 1rem;
    }

    .section-cart-product .column-2,
    .tabs-wrapper {
        padding: 3rem;
    }

    /* Galleri */
    .product-gallery .slick-list {
        width: calc(100% - 6rem);
    }

    .product-gallery .image-wrapper {
        margin: 0 2rem;
    }

    .product-gallery .image-wrapper img {
        max-height: 25vh
    }

    .product-gallery .image-thumbnails {
        display: none;
    }

    .product-gallery .slick-arrow {
        width: 3rem;
        height: 3rem;
    }

    .product-gallery .slick-arrow::after {
        font-size: 2rem;
    }

    /* Specifikationer */
    .tag {
        font-size: 1.5rem;
    }
}

@media only screen and (max-width: 480px) {

    /* Specifikationer */
    .tag {
        font-size: 1.4rem;
    }

    .specifications-wrapper {
        padding: 1rem;
    }

    .specifications-wrapper p {
        font-size: 1.4rem;
    }
}

/* ==========================================================================
Undersida: Varukorg
========================================================================== */
.section-cart .text-block-center {
    width: 100%;
}

/* Tom varukorgen-knapp */
.remove-btn {
    max-width: 17rem;
    padding: 1rem;
    margin: 0 0 0 auto;
    color: rgb(var(--white-color));
    border-color: rgb(var(--gray-dark-color));
    background-color: rgb(var(--gray-dark-color));
    cursor: pointer;
}

.remove-btn:hover {
    background-color: rgb(var(--gray-dark-color), .7);
}

.remove-btn i {
    margin-right: 5px;
}

/* Produkt */
.cart-items-wrapper {
    margin: 3rem 0;
}

.cart-item {
    margin: 3px 0;
    padding: 2rem;
    border-radius: 5px;
    border: 1px solid rgb(var(--gray-color));
    background-color: rgb(var(--gray-light-color));
}

.cart-item p {
    color: rgb(var(--gray-dark-color));
}

.cart-item a {
    text-decoration: none;
}

.cart-id,
.cart-taxrate {
    display: none;
}

.cart-toggle-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
}

.cart-toggle-wrapper input {
    height: 4rem;
    text-align: center;
    border: 1px solid rgb(var(--gray-color));
    border-left: none;
    border-right: none;
    color: rgb(var(--gray-dark-color));
    background-color: rgb(var(--white-color));
}

.cart-toggle-wrapper button {
    width: 4rem;
    height: 4rem;
    font-size: 1.8rem;
    color: rgb(var(--gray-dark-color));
    border: 1px solid rgb(var(--gray-color));
    background-color: rgb(var(--white-color));
    cursor: pointer;
    transition: .3s ease;
}

.cart-toggle-wrapper button.cart-decrease {
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
}

.cart-toggle-wrapper button.cart-increase {
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
}

/* ==========================================================================
Betala
========================================================================== */

/* Layout
========================================================================== */
.section-cart-checkout {
    background-image: linear-gradient(to right, rgb(var(--white-color)) 50%, rgb(var(--gray-light-color)) 50%);
}

.section-cart-checkout .column-1 {
    width: 50%;
    padding: 0 5rem 0 0;
}

.section-cart-checkout .column-2 {
    width: 50%;
    padding: 0 0 0 5rem;
}

/* Kunduppgifter
========================================================================== */
.section-cart-checkout .column-1 .small-title {
    padding-bottom: 1.5rem;
    color: rgb(var(--black-color));
}

.form-row .form-label,
.form-row-select label,
.form-row>.form-group>label {
    color: rgb(var(--black-color));
}

.section-cart-checkout .form-row {
    color: rgb(var(--gray-dark-color));
    background-color: rgb(var(--gray-light-color));
}

.section-cart-checkout .form-row input[type="text"],
.section-cart-checkout .form-row input[type="number"],
.section-cart-checkout .form-row input[type="email"],
.section-cart-checkout .form-row input[type="tel"],
.section-cart-checkout .form-row textarea,
.section-cart-checkout .form-row .form-select,
.section-cart-checkout .form-row-select select,
.section-cart-checkout .form-row .form-select {
    color: rgb(var(--gray-dark-color));
    border-bottom: 1px dotted rgb(var(--gray-dark-color));
    background-color: rgb(var(--gray-light-color));
}

.delivery-section,
.shipping-options-section {
    margin-top: 3rem;
}

.shipping-option {
    display: flex;
    align-items: flex-start;
    margin-bottom: 2rem;
    font-size: 1.4rem;
    color: rgb(var(--gray-dark-color));
    line-height: 1.4;
}

.shipping-option-name {
    font-weight: 600;
    color: rgb(var(--black-color));
}

.shipping-option input {
    margin-top: 3px;
}

/* Ordersammanfattning
========================================================================== */
.section-cart-checkout .column-2 .small-title {
    padding-bottom: 1.5rem;
    color: rgb(var(--black-color));
}

.order-header,
.order-item,
.order-subtotal,
.order-shipping,
.order-total {
    display: flex;
    justify-content: space-between;
}

.order-items {
    padding: 11px 1rem 9px;
    border-radius: 5px;
    background-color: rgb(var(--white-color));
}

.order-header,
.order-item {
    margin-bottom: 1rem;
}

.order-subtotal,
.order-shipping,
.order-total {
    padding: 1rem 0;
}

.order-header span,
.order-subtotal span,
.order-total span {
    font-size: 1.5rem;
    font-weight: 600;
    color: rgb(var(--black-color));
}

.order-totals,
.order-total {
    border-top: 1px solid rgb(var(--gray-dark-color));
}

.order-item span,
.order-shipping span,
.discount-row span,
.order-item .gift-card-details {
    font-size: 1.5rem;
    font-weight: 400;
    color: rgb(var(--gray-dark-color));
}

/* Rabatt */
.discount-section {
    margin-top: 2.5rem;
}

.discount-input-group {
    display: flex;
}

.discount-section .form-row {
    padding: 0;
}

.discount-input-group button {
    padding: 1rem;
    margin: 0 0 0 2rem;
    font-size: 1.2rem;
    color: rgb(var(--white-color));
    border: 1px solid rgb(var(--gray-dark-color));
    background-color: rgb(var(--gray-dark-color));
    cursor: pointer;
}

.discount-message {
    font-size: 1.3rem;
}

/* Betala */
.terms-section .form-row {
    padding-left: 0;
}

.payment-section {
    margin-top: 2.5rem;
}

.payment-button-section {
    margin-top: 2rem;
}

.place-order-btn {
    cursor: pointer;
}

/* Media queries
========================================================================== */
@media only screen and (max-width: 980px) {

    /* Layout */
    .section-cart-checkout {
        background-image: none;
        background: rgb(var(--white-color));
    }

    .section-cart-checkout .column-1 {
        position: static;
        width: 100%;
        padding: 0;
        background-color: rgb(var(--white-color));
    }

    .section-cart-checkout .column-2 {
        width: 100%;
        padding: 2rem;
        margin-top: 3rem;
        border-radius: 5px;
        background-color: rgb(var(--gray-light-color));
    }
}

@media only screen and (max-width: 580px) {

    /* Layout */
    .section-cart-checkout .column-2 {
        padding: 1.5rem;
    }

    /* Rabatt */
    .discount-input-group {
        flex-direction: column;
    }

    .discount-input-group button {
        width: 15rem;
        margin: 1rem 0 0 0;
    }
}

/* ==========================================================================
Tack-sida
========================================================================== */
.status-icon i {
    margin-bottom: 3rem;
    font-size: 5rem;
    color: rgb(var(--black-color));
}